import { ResponseMessageTank } from './tank/response';
export declare class Tls {
  /**
   * IP do TLS.
   * @readonly
   */
  readonly ip: string;
  /**
   * Porta do TLS.
   * @readonly
   */
  readonly port: number;
  /**
   * Instância do net.Socket (conexão TCP com o TLS).
   * @readonly
   */
  private readonly socket;
  /**
   *
   * @param {string} ip IP do TLS
   * @param {number} port Porta do TLS (padrão 10001)
   */
  constructor(ip: string, port?: number);
  /**
   * Lê toda informação da conexão aberta até o ETX (byte que sinaliza o fim da mensagem).
   * @returns Buffer contendo as informações lidas.
   */
  private readAll;
  /**
   * Destrói conexão com o TLS.
   */
  destroy(): void;
  /**
   * Consulta informações do(s) tanque(s).
   * @param tank Número do tanque a ser buscado. (Todos tanques por padrão)
   * @returns ResponseMessageTank contendo as informações retornadas.
   */
  getTanks(tank?: string): Promise<ResponseMessageTank>;
}
