/// <reference types="node" />
export declare abstract class ResponseMessage {
    /**
     * Comando que resultou o atual retorno.
     * @readonly
     */
    readonly command: string;
    /**
     * Data local no momento do retorno.
     * @readonly
     */
    readonly datetime: Date;
    /**
     * Data do TLS no momento do retorno.
     * @readonly
     */
    readonly datetimeTls: Date;
    /**
     * Index do buffer onde se inicia os dados, ignorando `comando`, `datetime`, etc.
     * @readonly
     */
    protected readonly paddingHeader: number;
    /**
     * Flag que informa o término dos dados.
     */
    static terminationFlag: string;
    constructor(buffer: Buffer);
}
